Debian Bug report logs - #704942
RFP: mtn -- movie thumbnailer

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bob Bib <bobbib@ukr.net>

Date: Mon, 8 Apr 2013 01:21:02 UTC

Severity: wishlist

Tags: upstream

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704942; Package wnpp. (Mon, 08 Apr 2013 01:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ru>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 08 Apr 2013 01:21:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: mtn -- movie thumbnailer
Date: Mon, 08 Apr 2013 04:16:32 +0300
Package: wnpp
Severity: wishlist

* Package name    : mtn
  Version         : 200808a
  Upstream Author : tuit <tuitfun@yahoo.co.th>
* URL             : http://moviethumbnail.sourceforge.net/
* License         : GPL
  Programming Lang: C
  Description     : movie thumbnailer

movie thumbnailer (mtn) -- saves thumbnails (screenshots) of movie or video
files to jpeg files. It uses FFmpeg's libavcodec as its engine, so it supports
all popular codecs, e.g. divx h264 mpeg1 mpeg2 mp4 vc1 wmv xvid, and formats,
e.g. .3gp .avi .dat .mkv .wmv. mtn is open source software. It should run on
all operating systems which have gcc, FFmpeg, and GD, for example, Linux and
Windows.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704942; Package wnpp. (Sun, 19 May 2013 08:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 19 May 2013 08:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 704942@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: 704942@bugs.debian.org
Cc: tuitfun@yahoo.co.th, Bob Bib <bobbibmpn@mail.ru>
Subject: Re: RFP: mtn -- movie thumbnailer
Date: Sun, 19 May 2013 05:14:21 -0300
[Message part 1 (text/plain, inline)]
Hi!

I tryed to package it now. The pre-compiled works fine and it is a nice
program. However, when compiling the code in Debian Sid we have several
errors and warnings (see below).

I need author code (upstream) fix the issues to I can put it in Debian.
Please,reply if you have interest.

Thanks a lot in advance.

Best regards,

Eriberto - Brazil


$ uname -a
Linux canopus 3.2.0-4-amd64 #1 SMP Debian 3.2.41-2 x86_64 GNU/Linux

cc -o mtn mtn.c  -lavcodec -lavformat -lavcodec -lswscale -lavutil -lgd
-lfreetype -ljpeg -lz -lm -lpthread
mtn.c: In function 'save_AVFrame':
mtn.c:832:9: warning: passing argument 2 of 'sws_scale' from incompatible
pointer type [enabled by default]
In file included from mtn.c:61:0:
/usr/include/libswscale/swscale.h:234:5: note: expected 'const uint8_t *
const*' but argument is of type 'uint8_t **'
mtn.c: At top level:
mtn.c:934:53: warning: 'enum CodecType' declared inside parameter list
[enabled by default]
mtn.c:934:53: warning: its scope is only this definition or declaration,
which is probably not what you want [enabled by default]
mtn.c:934:63: error: parameter 2 ('type') has incomplete type
mtn.c: In function 'get_stream_info_type':
mtn.c:947:13: error: 'CODEC_TYPE_SUBTITLE' undeclared (first use in this
function)
mtn.c:947:13: note: each undeclared identifier is reported only once for
each function it appears in
mtn.c:948:26: error: 'AVStream' has no member named 'language'
mtn.c:949:61: error: 'AVStream' has no member named 'language'
mtn.c:981:38: error: 'CODEC_TYPE_VIDEO' undeclared (first use in this
function)
mtn.c:997:22: error: 'AVStream' has no member named 'language'
mtn.c:998:51: error: 'AVStream' has no member named 'language'
mtn.c: In function 'get_stream_info':
mtn.c:1023:5: warning: 'file_size' is deprecated (declared at
/usr/include/libavformat/avformat.h:947) [-Wdeprecated-declarations]
mtn.c:1023:5: warning: 'file_size' is deprecated (declared at
/usr/include/libavformat/avformat.h:947) [-Wdeprecated-declarations]
mtn.c:1048:9: warning: 'file_size' is deprecated (declared at
/usr/include/libavformat/avformat.h:947) [-Wdeprecated-declarations]
mtn.c:1055:30: error: 'CODEC_TYPE_AUDIO' undeclared (first use in this
function)
mtn.c:1056:30: error: 'CODEC_TYPE_VIDEO' undeclared (first use in this
function)
mtn.c:1057:30: error: 'CODEC_TYPE_SUBTITLE' undeclared (first use in this
function)
mtn.c: In function 'dump_format_context':
mtn.c:1076:9: warning: 'file_size' is deprecated (declared at
/usr/include/libavformat/avformat.h:947) [-Wdeprecated-declarations]
mtn.c:1079:10: error: 'AVFormatContext' has no member named 'track'
mtn.c:1080:50: error: 'AVFormatContext' has no member named 'track'
mtn.c:1081:10: error: 'AVFormatContext' has no member named 'title'
mtn.c:1082:50: error: 'AVFormatContext' has no member named 'title'
mtn.c:1083:10: error: 'AVFormatContext' has no member named 'author'
mtn.c:1084:51: error: 'AVFormatContext' has no member named 'author'
mtn.c:1085:10: error: 'AVFormatContext' has no member named 'copyright'
mtn.c:1086:54: error: 'AVFormatContext' has no member named 'copyright'
mtn.c:1087:10: error: 'AVFormatContext' has no member named 'comment'
mtn.c:1088:52: error: 'AVFormatContext' has no member named 'comment'
mtn.c:1089:10: error: 'AVFormatContext' has no member named 'album'
mtn.c:1090:50: error: 'AVFormatContext' has no member named 'album'
mtn.c:1091:10: error: 'AVFormatContext' has no member named 'year'
mtn.c:1092:49: error: 'AVFormatContext' has no member named 'year'
mtn.c:1093:10: error: 'AVFormatContext' has no member named 'genre'
mtn.c:1094:50: error: 'AVFormatContext' has no member named 'genre'
mtn.c: In function 'read_and_decode':
mtn.c:1190:13: warning: 'url_ferror' is deprecated (declared at
/usr/include/libavformat/avio.h:339) [-Wdeprecated-declarations]
mtn.c:1206:68: error: 'PKT_FLAG_KEY' undeclared (first use in this function)
mtn.c: In function 'guess_duration':
mtn.c:1324:5: warning: 'file_size' is deprecated (declared at
/usr/include/libavformat/avformat.h:947) [-Wdeprecated-declarations]
mtn.c:1325:9: warning: 'file_size' is deprecated (declared at
/usr/include/libavformat/avformat.h:947) [-Wdeprecated-declarations]
mtn.c: In function 'really_seek':
mtn.c:1412:5: warning: 'file_size' is deprecated (declared at
/usr/include/libavformat/avformat.h:947) [-Wdeprecated-declarations]
mtn.c:1416:9: warning: 'file_size' is deprecated (declared at
/usr/include/libavformat/avformat.h:947) [-Wdeprecated-declarations]
mtn.c:1417:9: warning: 'file_size' is deprecated (declared at
/usr/include/libavformat/avformat.h:947) [-Wdeprecated-declarations]
mtn.c: In function 'make_thumbnail':
mtn.c:1557:5: warning: 'av_open_input_file' is deprecated (declared at
/usr/include/libavformat/avformat.h:1368) [-Wdeprecated-declarations]
mtn.c:1569:5: warning: 'av_find_stream_info' is deprecated (declared at
/usr/include/libavformat/avformat.h:1412) [-Wdeprecated-declarations]
mtn.c:1580:13: error: 'CODEC_TYPE_VIDEO' undeclared (first use in this
function)
mtn.c:1614:5: warning: 'avcodec_open' is deprecated (declared at
/usr/include/libavcodec/avcodec.h:4035) [-Wdeprecated-declarations]
mtn.c:2017:13: warning: passing argument 2 of 'sws_scale' from incompatible
pointer type [enabled by default]
In file included from mtn.c:61:0:
/usr/include/libswscale/swscale.h:234:5: note: expected 'const uint8_t *
const*' but argument is of type 'uint8_t **'
mtn.c:2210:9: warning: 'av_close_input_file' is deprecated (declared at
/usr/include/libavformat/avformat.h:1580) [-Wdeprecated-declarations]
mtn.c: At top level:
mtn.c:2219:5: error: conflicting types for 'alphasort'
In file included from mtn.c:46:0:
/usr/include/dirent.h:325:12: note: previous declaration of 'alphasort' was
here
make[2]: *** [mtn] Error 1
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704942; Package wnpp. (Sun, 19 May 2013 08:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 19 May 2013 08:30:04 GMT) Full text and rfc822 format available.

Message #15 received at 704942@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: 704942@bugs.debian.org
Cc: Bob Bib <bobbibmpn@mail.ru>
Subject: Re: RFP: mtn -- movie thumbnailer
Date: Sun, 19 May 2013 05:26:54 -0300
[Message part 1 (text/plain, inline)]
Opppsss! Upstream lost...

Delivery to the following recipient failed permanently:

     tuitfun@yahoo.co.th

Technical details of permanent failure:
Google tried to deliver your message, but it was rejected by the server for
the recipient domain yahoo.co.th by mx-apac.mail.gm0.yahoodns.net.
[106.10.166.54].

The error that the other server returned was:
554 delivery error: dd This user doesn't have a yahoo.co.th account (
tuitfun@yahoo.co.th) [0] - mta1198.mail.sg3.yahoo.com
[Message part 2 (text/html, inline)]

Added tag(s) upstream. Request was from Eriberto <eriberto@eriberto.pro.br> to control@bugs.debian.org. (Sun, 19 May 2013 08:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704942; Package wnpp. (Sun, 19 May 2013 16:36:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 19 May 2013 16:36:18 GMT) Full text and rfc822 format available.

Message #22 received at 704942@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: 704942@bugs.debian.org
Cc: Eriberto <eriberto@eriberto.pro.br>
Subject: Re: RFP: mtn -- movie thumbnailer
Date: Sun, 19 May 2013 20:33:17 +0400
Eriberto:
> I tryed to package it now. The pre-compiled works fine and it is a nice
> program. However, when compiling the code in Debian Sid we have several
> errors and warnings (see below).

It uses FFmpeg API, an old version of it,
(and it compiled OK a few years ago),
but now we have a new version of Libav here in Debian,
so a lot of things this program used are deprecated now.

Perhaps it can be fixed,
but it needs some time & inspiration
to read all those FFmpeg & Libav documentation :)

> I need author code (upstream) fix the issues to I can put it in Debian.
> Please,reply if you have interest.

> Opppsss! Upstream lost...
> 
> Delivery to the following recipient failed permanently:
> 

The latest version dates back to 2008,
so the project seems to be orphaned upstream...


----
Best wishes, Bob

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704942; Package wnpp. (Sun, 19 May 2013 17:36:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 19 May 2013 17:36:13 GMT) Full text and rfc822 format available.

Message #27 received at 704942@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Bob Bib <bobbibmpn@mail.ru>
Cc: 704942@bugs.debian.org
Subject: Re: RFP: mtn -- movie thumbnailer
Date: Sun, 19 May 2013 14:34:28 -0300
Really. If applicable, you can try to open a bug in SF project page.

I'm here ready to package a new version. You are welcome.

Regards,

Eriberto - Brazil

2013/5/19 Bob Bib <bobbibmpn@mail.ru>:
> Perhaps it can be fixed,
> but it needs some time & inspiration
> to read all those FFmpeg & Libav documentation :)



Changed Bug submitter to 'Bob Bib <bobbibmpn@mail.ua>' from 'Bob Bib <bobbibmpn@mail.ru>' Request was from Bob Bib <bobbibmpn@mail.ua> to control@bugs.debian.org. (Thu, 12 Sep 2013 22:45:11 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Bob Bib <bobbib@ukr.net>' from 'Bob Bib <bobbibmpn@mail.ua>' Request was from Bob Bib <bobbib@ukr.net> to control@bugs.debian.org. (Tue, 18 Mar 2014 01:45:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 10:38:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.